Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 681194 - dev-dotnet/gio-sharp-0.3-r1 : Cannot open assembly /.../gapi-fixup.exe : No such file or directory.
Summary: dev-dotnet/gio-sharp-0.3-r1 : Cannot open assembly /.../gapi-fixup.exe : No s...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2019-03-21 20:35 UTC by Toralf Förster
Modified: 2020-11-22 14:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.84 KB, text/plain)
2019-03-21 20:35 UTC, Toralf Förster
Details
dev-dotnet:gio-sharp-0.3-r1:20190321-074236.log (dev-dotnet:gio-sharp-0.3-r1:20190321-074236.log,4.04 KB, text/plain)
2019-03-21 20:35 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,256.85 KB, text/plain)
2019-03-21 20:35 UTC, Toralf Förster
Details
environment (environment,52.22 KB, text/plain)
2019-03-21 20:35 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,17.06 KB, application/x-bzip)
2019-03-21 20:35 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,3.12 KB, application/x-bzip)
2019-03-21 20:35 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,15.10 KB, application/x-bzip)
2019-03-21 20:35 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-03-21 20:35:19 UTC
chmod +w ./gio-api.xml
gapi2-fixup --api=gio-api.xml --metadata=./Gio.metadata
Cannot open assembly '/usr/lib/gtk-sharp-2.0/gapi-fixup.exe': No such file or directory.
make[1]: *** [Makefile:573: gio-api.xml] Error 2
make[1]: Leaving directory '/var/tmp/portage/dev-dotnet/gio-sharp-0.3-r1/work/gio-sharp-0.3/gio'
make: *** [Makefile:342: all-recursive] Error 1

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-desktop_test_20190313-190226

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-8.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-bin-1.32.0 *
  [2]   rust-1.32.0
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.10.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpvO dev-dotnet/gio-sharp
[ebuild  N    ] dev-dotnet/gio-sharp-0.3-r1
Comment 1 Toralf Förster gentoo-dev 2019-03-21 20:35:22 UTC
Created attachment 570188 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-03-21 20:35:25 UTC
Created attachment 570190 [details]
dev-dotnet:gio-sharp-0.3-r1:20190321-074236.log
Comment 3 Toralf Förster gentoo-dev 2019-03-21 20:35:28 UTC
Created attachment 570192 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-03-21 20:35:30 UTC
Created attachment 570194 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-03-21 20:35:33 UTC
Created attachment 570196 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-03-21 20:35:36 UTC
Created attachment 570198 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2019-03-21 20:35:39 UTC
Created attachment 570200 [details]
temp.tbz2
Comment 8 nvaert1986 2019-07-29 13:13:15 UTC
It seems to go wrong in the package build:

One of the directories it searches for is:
/usr/lib/gtk-sharp-2.0/

But that directory doesn't exist it should be:
/usr/lib64/gtk-sharp-2.0/
Comment 9 Larry the Git Cow gentoo-dev 2020-10-24 13:57:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a866101af85e162d2f4ad6345a995e2dd8306b1

commit 6a866101af85e162d2f4ad6345a995e2dd8306b1
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-10-24 13:56:53 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-10-24 13:56:53 +0000

    package.mask: Last rite dev-dotnet/* EAPI 4 ebuilds
    
    Bug: https://bugs.gentoo.org/681194
    Bug: https://bugs.gentoo.org/722256
    Bug: https://bugs.gentoo.org/740986
    Bug: https://bugs.gentoo.org/740988
    Bug: https://bugs.gentoo.org/740990
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/package.mask | 8 ++++++++
 1 file changed, 8 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2020-11-22 14:54:45 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04de4fb5dc2d2da76dcba3b5decaca041625c567

commit 04de4fb5dc2d2da76dcba3b5decaca041625c567
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-22 14:54:15 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-22 14:54:15 +0000

    dev-dotnet/gio-sharp: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/681194
    Closes: https://bugs.gentoo.org/740986
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-dotnet/gio-sharp/Manifest                |  1 -
 dev-dotnet/gio-sharp/gio-sharp-0.3-r1.ebuild | 41 ----------------------------
 dev-dotnet/gio-sharp/metadata.xml            | 11 --------
 profiles/package.mask                        |  1 -
 4 files changed, 54 deletions(-)